### Function Macro

# GObject TYPE_FROM_INSTANCE

#### Declaration

    #define G_TYPE_FROM_INSTANCE (
      instance
    )

#### Description

Get the type identifier from a given `instance` structure.

This macro should only be used in type implementations.

This function is not directly available to language bindings.

#### Parameters

`instance`

  Type: `-`

  Location of a valid `GTypeInstance` structure.